Skip to content

Bulk write 'Generalerranddefaultdescription'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Bodyapplication/json
Array [
codestring, <= 255 charactersrequired

Additional Validation Information:

Must be unique

descriptionstring, >= 3 charactersrequired
titlestring, <= 255 charactersrequired
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
]
POST
/errands/generalerrands/configurations/generalerranddefaultdescription/list/
curl -i -X POST \
  https://dev.api.pigello.io/errands/generalerrands/configurations/generalerranddefaultdescription/list/ \
  -H 'Content-Type: application/json' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE' \
  -d '[
    {
      "code": "string",
      "description": "string",
      "organization": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      },
      "custom_id": "string",
      "title": "string"
    }
  ]'

Responses

Successful bulk create/update

Bodyapplication/json
Array [
codestring, <= 255 charactersrequired

Additional Validation Information:

Must be unique

descriptionstring, >= 3 charactersrequired
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

titlestring, <= 255 charactersrequired
organizationobject or null(Organization)
created_atstring, (date-time)read-only
custom_idstring or null, <= 128 characters
]
Response
[ { "code": "string", "description": "string", "organization": {}, "created_at": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "title": "string" } ]